<?php
/*******************************************************************************
	This is a simplified script to add settings into SMF.

	ATTENTION: If you are trying to INSTALL this package, please access
	it directly, with a URL like the following:
		http://www.yourdomain.tld/forum/cardomain_settings.php (or similar.)

================================================================================

	This script can be used to add new settings into the database for use
	with SMF's $modSettings array.  It is meant to be run either from the
	package manager or directly by URL.

*******************************************************************************/


// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');
 
db_extend('packages');

// Does it already exist?
$columns = $smcFunc['db_list_columns']('{db_prefix}members', false);

// Is it already there?
if (in_array('cardomain', $columns))
{
	echo '<b>Alert:</b> Column \'cardomain\' already exists in table \'smf_members\'.';
	return;
}

$added = $smcFunc['db_add_column']('{db_prefix}members', array('name' => 'cardomain', 'type' => 'text', 'size' => null, 'null' => '', 'default' => '', 'auto' => ''), '', 'update'); 

	echo '<b>Alert:</b> Column \'cardomain\' added to table \'smf_members\'.';

// Uh-oh spaghetti-oh!
if (!$added)
	echo '<b>Error:</b> \'cardomain\' to the table \'members\'.';

 
?>
